{{ with .Status }}
<div id="status-overview">
  <h2>Status Overview</h2>
  <div class="overflow-x-auto">
    <table>
      <tr>
        <th>Start time</th>
        <th>End time</th>
        <th>Timestep</th>
        <th>Consumer names</th>
        <th>Consumer lag tolerance</th>
        <th>Current time</th>
        <th>Count</th>
        <th>State</th>
      </tr>
      <tr>
        <td id="status-start-time">{{ formatTime .StartTime }}</td>
        <td id="status-end-time">{{ formatTime .EndTime }}</td>
        <td id="status-timestep">{{ .TimeStep }}</td>
        <td id="status-consumer-names">{{ .ConsumerNames }}</td>
        <td id="status-consumer-lag-tolerance">{{ .ConsumerLagTolerance }}</td>
        <td id="status-current-time">{{ formatTime .CurrentTime }}</td>
        <td id="status-count">{{ .Count }}</td>
        <td id="status-state">{{ .State }}</td>
      </tr>
    </table>
  </div>
</div>

<div id="consumer-datails">
  <h3>Consumer Details</h3>
  <div id="consumer-details-container">
    {{ range $key, $consumer := .Consumers }}

    <h4>{{ $key }}</h4>
    <div class="overflow-x-auto">
      <table>
        <tr>
          <th>Stream</th>
          <th>Pending Messages</th>
          <th>Lagging Behind</th>
        </tr>

        {{ range $key, $stream := $consumer }}
        <tr>
          <td>{{ $key }}</td>
          <td>{{ $stream.PendingMessages }}</td>
          <td>{{ $stream.Lagging }}</td>
        </tr>
        {{ end }}

      </table>
    </div>
    {{ end }}

  </div>
</div>
{{ end }}
